org.opengis.cite.ogcapifeatures10.openapi3

## Class TestPoint

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.openapi3.TestPoint

-     public class TestPoint
      extends Object

  Encapsulates a Test Point with the UriTemplate and predefined replacements.
  Author:
    Lyn Goltz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestPoint(String serverUrl, String path, Map<String,com.reprezen.kaizen.oasparser.model3.MediaType> contentMediaTypes)` Instantiates a TestPoint with UriTemplate but without predefined replacements.
    `TestPoint(String serverUrl, String path, Map<String,String> predefinedTemplateReplacement, Map<String,com.reprezen.kaizen.oasparser.model3.MediaType> contentMediaTypes)` Instantiates a TestPoint with UriTemplate and predefined replacements.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Map<String,com.reprezen.kaizen.oasparser.model3.MediaType>` | `getContentMediaTypes()`
    `String` | `getPath()`
    `Map<String,String>` | `getPredefinedTemplateReplacement()`
    `String` | `getServerUrl()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestPoint

          public TestPoint(String serverUrl,
                           String path,
                           Map<String,com.reprezen.kaizen.oasparser.model3.MediaType> contentMediaTypes)

      Instantiates a TestPoint with UriTemplate but without predefined replacements.
      Parameters:
        `serverUrl` - the serverUrl, never `null`
        `path` - the path never, `null`
        `contentMediaTypes` - the content media types for the GET operation with response "200", may be `null`

    - #### TestPoint

          public TestPoint(String serverUrl,
                           String path,
                           Map<String,String> predefinedTemplateReplacement,
                           Map<String,com.reprezen.kaizen.oasparser.model3.MediaType> contentMediaTypes)

      Instantiates a TestPoint with UriTemplate and predefined replacements.
      Parameters:
        `serverUrl` - the serverUrl, never `null`
        `path` - the path, never `null`
        `predefinedTemplateReplacement` - a list of predefined replacements never `null`
        `contentMediaTypes` - the content media types for the GET operation with response "200", may be `null`

  - ### Method Detail

    - #### getServerUrl

          public String getServerUrl()

      Returns:
        the serverUrl never `null`

    - #### getPath

          public String getPath()

      Returns:
        the path never, `null`

    - #### getPredefinedTemplateReplacement

          public Map<String,String> getPredefinedTemplateReplacement()

      Returns:
        an unmodifiable mao with predefined replacements, may be empty but never `null`

    - #### getContentMediaTypes

          public Map<String,com.reprezen.kaizen.oasparser.model3.MediaType> getContentMediaTypes()

      Returns:
        the content media types for the GET operation with response "200", may be `null`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2023 Open Geospatial Consortium. All rights reserved.